## org.eclipse.m2m.qvt.oml.ocl.legacy.libraries
Class StringLibrary

    java.lang.Object
      org.eclipse.m2m.qvt.oml.ocl.legacy.libraries.StringLibrary

    public class StringLibrary

extends java.lang.Object

Nested Class Summary
`static class` `StringLibrary.Metainfo` Metainfo for the native methods should be accessible throu the static methods of inner class `Metainfo` with the same signature ant `String[]` return type.

Constructor Summary
`StringLibrary()`

Method Summary
`java.lang.Boolean` `endsWith(java.lang.String self, java.lang.String suffix)`
`java.lang.Integer` `indexOf(java.lang.String self, java.lang.String str)`
`java.lang.Integer` `indexOf(java.lang.String self, java.lang.String str, java.lang.Integer fromIndex)`
`java.lang.Integer` `lastIndexOf(java.lang.String self, java.lang.String str)`
`java.lang.Integer` `lastIndexOf(java.lang.String self, java.lang.String str, java.lang.Integer fromIndex)`
`java.lang.String` `replace(java.lang.String self, java.lang.String what, java.lang.String with)`
`java.lang.String` `replaceAll(java.lang.String self, java.lang.String regexp, java.lang.String replacement)`
`java.util.List<java.lang.String>` `split(java.lang.String self, java.lang.String regex)`
`java.util.List<java.lang.String>` `split(java.lang.String self, java.lang.String regex, java.lang.Integer limit)`
`java.lang.Boolean` `startsWith(java.lang.String self, java.lang.String prefix)`
`java.lang.Boolean` `startsWith(java.lang.String self, java.lang.String prefix, java.lang.Integer toffset)`
`java.lang.String` `toLowerCase(java.lang.String self)`
`java.lang.String` `toUpperCase(java.lang.String self)`
`java.lang.String` `trim(java.lang.String self)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringLibrary

    public StringLibrary()

Method Detail

### startsWith

    public java.lang.Boolean startsWith(java.lang.String self,
                                        java.lang.String prefix)

### startsWith

    public java.lang.Boolean startsWith(java.lang.String self,
                                        java.lang.String prefix,
                                        java.lang.Integer toffset)

### endsWith

    public java.lang.Boolean endsWith(java.lang.String self,
                                      java.lang.String suffix)

### indexOf

    public java.lang.Integer indexOf(java.lang.String self,
                                     java.lang.String str)

### indexOf

    public java.lang.Integer indexOf(java.lang.String self,
                                     java.lang.String str,
                                     java.lang.Integer fromIndex)

### lastIndexOf

    public java.lang.Integer lastIndexOf(java.lang.String self,
                                         java.lang.String str)

### lastIndexOf

    public java.lang.Integer lastIndexOf(java.lang.String self,
                                         java.lang.String str,
                                         java.lang.Integer fromIndex)

### trim

    public java.lang.String trim(java.lang.String self)

### replaceAll

    public java.lang.String replaceAll(java.lang.String self,
                                       java.lang.String regexp,
                                       java.lang.String replacement)

### replace

    public java.lang.String replace(java.lang.String self,
                                    java.lang.String what,
                                    java.lang.String with)

### toLowerCase

    public java.lang.String toLowerCase(java.lang.String self)

### toUpperCase

    public java.lang.String toUpperCase(java.lang.String self)

### split

    public java.util.List<java.lang.String> split(java.lang.String self,
                                                  java.lang.String regex)

### split

    public java.util.List<java.lang.String> split(java.lang.String self,
                                                  java.lang.String regex,
                                                  java.lang.Integer limit)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.